修改实体卡卡Pin接口
修改卡Pin部分提示异常码对应描述
2010009 参数异常
2010004 卡id不能为空
2010010 Pin码不能为空
2010011 Pin必须是4位或6位数字
2020009 查询卡信息不存在
2020081 虚拟卡不支持修改卡Pin
2020082 当前卡状态不支持修改卡Pin
2020091 Pin码有误 (不允许连续三个重复/连续数字,比如111、012、210、890、098)
Request
Body Params application/json
{
"cardId": "string",
"cardPinNumber": 0
}
Request Code Samples
curl --location --request POST 'https://api-test.tevaupay.com/openapi/card/updateCardPin' \
--header 'x-nexus-api-key: c0d5e623fb6de1867f2e336975c934c6' \
--header 'appId: P3wmnamRzMsLjimu' \
--header 'timestamp: 20250901150426' \
--header 'nonce: 83D52F6DS38P3FTCH3M4B0CQ6AJZQDW4' \
--header 'sign: 8ca94291ed9cb1783df63a9eecb775f04bc2106993a9ef1c4c857dfd6b2eb832' \
--header 'versions: v1' \
--header 'Content-Type: application/json' \
--data-raw '{
"cardId": "string",
"cardPinNumber": 0
}'
Responses
application/json Modified at 2025-09-28 02:15:42